khaetnim

before topic :
spine 3.6 to 3.8 >> unity runtime error (tk2d)


I followed the answer

But the problem was not solved.

error message : Can't Convert 'Spine.Unity.SkeletonDataCompatibility.CompatibilityProblemInfo' to 'Spine.Unity.AtlasAssetBase'

It seems that the IngestSpineProject function with the second parameter 'Spine.Unity.SkeletonDataCompatibility.CompatibilityProblemInfo' has not been declared at all.

Please solve it. Please. help me


spine_err1.png



spine_err3.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.
khaetnim
  • Сообщения: 6

badlogic

Are you using the TK2D asset?
Аватара пользователя
badlogic

Mario
  • Сообщения: 2127

khaetnim

yes
tk2d latest version
khaetnim
  • Сообщения: 6

badlogic

Thanks for the information. I've forwarded this to our Unity wizard Harri, he'll look into it next week.
Аватара пользователя
badlogic

Mario
  • Сообщения: 2127

Harald

Thanks for reporting and sorry for the trouble!

The bug has been fixed, new unitypackages can be downloaded here as usual:
Spine Unity Download
Аватара пользователя
Harald

Harri
  • Сообщения: 1116

khaetnim

very very thank you thank you
i love you
khaetnim
  • Сообщения: 6

Harald

Thanks for the kind words, we are sorry that it didn't work out of the box in the first place!
Аватара пользователя
Harald

Harri
  • Сообщения: 1116


Вернуться в Unity